package com.school.project.service.teacher;

import com.school.project.dto.PaginationDTO;
import com.school.project.dto.teacher.TeacherViewCoursesDTO;
import com.school.project.dto.teacher.TeacherViewDataDTO;
import com.school.project.model.Teacher;
import org.springframework.data.domain.Page;

public interface TeacherService {
    TeacherViewDataDTO getTeacherData(String username);

    TeacherViewCoursesDTO getTeacherCourses(String username);

    Page<TeacherViewDataDTO> getAllTeachers(PaginationDTO paginationDTO);

}
