package com.school.project.mapper;

import com.school.project.dto.teacher.TeacherViewDataDTO;
import com.school.project.model.Teacher;
import org.mapstruct.Mapper;
import org.springframework.data.domain.Page;

@Mapper(componentModel = "spring")
public interface PageOfTeacherToDTO {
    TeacherViewDataDTO map(Teacher teacher);

    default Page<TeacherViewDataDTO> modelToDTO(Page<Teacher> teachers) {
        return teachers.map(this::map);
    }
}
